/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from irkick.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __IRKICK_STUB__
#define __IRKICK_STUB__

#include <dcopstub.h>
#include <tdelircclient.h>
#include <iractions.h>
#include <modes.h>
#include <dcopobject.h>
#include <tdeaboutdata.h>
#include <kdedmodule.h>
#include <ksystemtray.h>
#include <tqstring.h>
#include <config.h>


class IRKick_stub : virtual public DCOPStub
{
public:
    IRKick_stub( const TQCString& app, const TQCString& id );
    IRKick_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit IRKick_stub( const DCOPRef& ref );
    virtual bool isConnected();
    virtual bool haveFullList();
    virtual const TQStringList remotes();
    virtual const TQStringList buttons( TQString theRemote );
    virtual void stealNextPress( TQString app, TQString module, TQString method );
    virtual void dontStealNextPress();
    virtual void reloadConfiguration();
protected:
    IRKick_stub() : DCOPStub( never_use ) {}
};


#endif
